#include < amxmodx >
#include < engine >
#include < hamsandwich >

//#define AR
#define AS

#if defined AR
	native get_user_lvl ( id );
#endif
#if defined AS
	native as_get_user_level ( id );
#endif

new g_Pogon [ 33 ], g_Pogon_id [ 33 ];
new const models [ ][ ] =
{
	"models/army_scapular/0.mdl", "models/army_scapular/1.mdl",
	"models/army_scapular/2.mdl", "models/army_scapular/3.mdl",
	"models/army_scapular/4.mdl", "models/army_scapular/5.mdl",
	"models/army_scapular/6.mdl", "models/army_scapular/7.mdl",
	"models/army_scapular/8.mdl", "models/army_scapular/9.mdl",
	"models/army_scapular/10.mdl", "models/army_scapular/11.mdl",
	"models/army_scapular/12.mdl", "models/army_scapular/13.mdl",
	"models/army_scapular/14.mdl", "models/army_scapular/15.mdl",
	"models/army_scapular/16.mdl", "models/army_scapular/17.mdl",
	"models/army_scapular/18.mdl", "models/army_scapular/19.mdl",
	"models/army_scapular/20.mdl", "models/army_scapular/21.mdl"
};

public plugin_init ()
{
	register_plugin ( "Army Scapular", "1.0", "OverGame" );
	RegisterHam( Ham_Spawn, "player", "FwdHamPlayerSpawn", 1 );
}

public plugin_end ()
	log_amx ( "Плагин успешно загружен!" );

public plugin_precache ()
{
	for ( new i; i < sizeof ( models ); i++ )
	{
		precache_model ( models [ i ] );
	}
}

public FwdHamPlayerSpawn ( id )
{
	if ( is_user_alive ( id ) )
	{
#if defined AR
		g_Pogon_id [ id ] = get_user_lvl ( id );
#endif
#if defined AS
		g_Pogon_id [ id ] = as_get_user_level ( id );
#endif
		new iEntity = g_Pogon [ id ];
		
		if( !is_valid_ent ( iEntity ) )
		{
			if( !( iEntity = g_Pogon [ id ] = create_entity ( "info_target" ) ) )
				return;
			
			entity_set_model ( iEntity, models [ g_Pogon_id [ id ] ] );
			entity_set_int ( iEntity, EV_INT_movetype, MOVETYPE_FOLLOW );
			entity_set_int ( iEntity, EV_INT_body, 5 );
			entity_set_edict ( iEntity, EV_ENT_aiment, id );
		}
	}
}

public EventTeamInfo ()
{
	new id = read_data( 1 ), iEntity = g_Pogon [ id ];
	
	if( !is_valid_ent ( iEntity ) )
	{
		if ( iEntity > 0 )
			g_Pogon [ id ] = 0;
		
		return;
	}
	entity_set_model( iEntity, models [ g_Pogon_id [ id ] ] );
}

public client_disconnect ( id )
{
	if ( is_valid_ent ( g_Pogon [ id ] ) )
		remove_entity ( g_Pogon [ id ] );
}