#include < amxmodx >
#include < amxmisc >

#define INI_READ
#include < army_system >

#define GIVE_LEVEL ADMIN_RCON

new agName [ 36 ][ 64 ], agActive [ 36 ][ 64 ], g_Type [ 33 ], g_Player [ 33 ], agLines;

public plugin_init ()
{
	register_plugin ( "AS Give", "1.0", "OverGame" );
	
	_asg_ini_read ( "/addons/amxmodx/configs/as/ini/givemenu.ini" );
	_as_ini_read ( "/addons/amxmodx/configs/as/ini/ranks.ini" );
	
	register_clcmd ( "say /test", "func_test" );
	register_clcmd ( "say /agive", "open_menu" );
	register_clcmd ( "say_team /agive", "open_menu" );
	register_clcmd ( "GiveAS", "cmdCount" );
}

public func_test ( id )
{
	ShowMsg ( id, "%s", asName [ 1 ] );
}

public open_menu ( id )
{
	if ( !(get_user_flags ( id ) & GIVE_LEVEL) )
	{
		ShowMsg ( id, "%L %L", LANG_SERVER, "AS_CHAT_PREFIX", LANG_SERVER, "AS_CHAT_GIVE_LVL" );
		return PLUGIN_HANDLED;
	}

	new szCaption [ 128 ], menu;
	format ( szCaption, charsmax ( szCaption ), "%L", LANG_SERVER, "AS_MENU_GIVE" );
	menu = menu_create ( szCaption, "func_omenu" );
	
	for ( new i; i < agLines; i++ )
	{
		new szItem [ 255 ], szTemp [ 10 ];
		
		if ( str_to_num ( agActive [ i ] ) )
			format ( szItem, charsmax ( szItem ), "\w%s", agName [ i ] );
		else
			format ( szItem, charsmax ( szItem ), "\d%s", agName [ i ] );
	
		num_to_str ( i, szTemp, charsmax ( szTemp ) );
		menu_additem ( menu, szItem, szTemp, 0 );
	}
	
	menu_setprop ( menu, MPROP_BACKNAME, "Назад" );
	menu_setprop ( menu, MPROP_NEXTNAME, "Далее" );
	menu_setprop ( menu, MPROP_EXITNAME, "Выход" );
	
	menu_display ( id, menu, 0 );
	return PLUGIN_HANDLED;
}

public func_omenu ( id, menu, item )     
{     
	if ( item == MENU_EXIT )
	{
		menu_destroy ( menu )
		return PLUGIN_HANDLED
	}
	
	new data [ 15 ], iName [ 64 ]      
	new access, callback     
	menu_item_getinfo ( menu, item, access, data,15, iName, 64, callback )
	
	new key = str_to_num ( data )
	if ( !str_to_num ( agActive [ key ] ) )
	{
		ShowMsg ( id, "%L %L", LANG_SERVER, "AS_CHAT_PREFIX", LANG_SERVER, "AS_CHAT_GIVE_OFF" );
		open_menu ( id );
		
		return PLUGIN_HANDLED;
	} else {
		g_Type [ id ] = key;
		open_give ( id );
	}
	
	return PLUGIN_HANDLED;
}

public open_give ( id )
{
	new szCaption [ 128 ], menu, Players [ 32 ], Player, Count;
	format ( szCaption, charsmax ( szCaption ), "%L", LANG_SERVER, "AS_MENU_PLAYER" );
	menu = menu_create ( szCaption, "func_give" );
	
	get_players ( Players, Count, "h" );
	
	for ( new i; i < Count; i++ )
	{
		new szItem [ 128 ], szTemp [ 10 ];
		Player = Players [ i ];
		new lvl = as_get_user_level ( Player );
		new bonus = as_get_user_bonus ( Player );
		new exp = as_get_user_exp ( Player );
		new szName [ 33 ];
		get_user_name ( Player, szName, charsmax ( szName ) );
		
		switch ( g_Type [ id ] )
		{
			case 0:
			{
				format ( szItem, charsmax ( szItem ), "\w%s \d[%s]", szName, asName [ lvl ] );
			}
			case 1:
			{
				format ( szItem, charsmax ( szItem ), "\w%s \d[%d]", szName, exp );
			}
			case 2:
			{
				format ( szItem, charsmax ( szItem ), "\w%s \d[%d]", szName, bonus );
			}
		}
	
		num_to_str ( Player, szTemp, charsmax ( szTemp ) );
		menu_additem ( menu, szItem, szTemp, 0 );
	}
	
	menu_setprop ( menu, MPROP_BACKNAME, "Назад" );
	menu_setprop ( menu, MPROP_NEXTNAME, "Далее" );
	menu_setprop ( menu, MPROP_EXITNAME, "Выход" );
	
	menu_display ( id, menu, 0 );
	return PLUGIN_HANDLED;
}

public func_give ( id, menu, item )     
{     
	if ( item == MENU_EXIT )
	{     
		menu_destroy ( menu )
		return PLUGIN_HANDLED
	}
	
	new data [ 15 ], iName [ 64 ]      
	new access, callback     
	menu_item_getinfo ( menu, item, access, data,15, iName, 64, callback )
	
	new key = str_to_num ( data )
	g_Player [ id ] = key;
	
	if ( g_Type [ id ] == 0 )
		open_ranklvl ( id );
	else
		client_cmd( id, "messagemode GiveAS" )
	
	return PLUGIN_HANDLED;
}

public open_ranklvl ( id )
{
	new szCaption [ 128 ], menu;
	format ( szCaption, charsmax ( szCaption ), "%L", LANG_SERVER, "AS_MENU_GIVE_LVL" );
	menu = menu_create ( szCaption, "func_ranklvl" );
	
	for ( new i; i < asLines; i++ )
	{
		new szTemp [ 10 ];
		num_to_str ( i, szTemp, charsmax ( szTemp ) );
		menu_additem ( menu, asName [ i ], szTemp, 0 );
	}
	
	menu_setprop ( menu, MPROP_BACKNAME, "Назад" );
	menu_setprop ( menu, MPROP_NEXTNAME, "Далее" );
	menu_setprop ( menu, MPROP_EXITNAME, "Выход" );
	
	menu_display ( id, menu, 0 );
	return PLUGIN_HANDLED;
}

public func_ranklvl ( id, menu, item )     
{     
	if ( item == MENU_EXIT )
	{     
		menu_destroy ( menu )
		return PLUGIN_HANDLED
	}
	
	new data [ 15 ], iName [ 64 ]      
	new access, callback     
	menu_item_getinfo ( menu, item, access, data,15, iName, 64, callback )
	
	new key = str_to_num ( data )
	as_set_user_level ( g_Player [ id ], key );
	as_set_user_exp ( g_Player [ id ], str_to_num ( asExp [ key ] ) );
	
	new szName [ 33 ];
	get_user_name ( g_Player [ id ], szName, charsmax ( szName ) );
	ShowMsg ( 0, "%L %L", LANG_SERVER, "AS_CHAT_PREFIX", LANG_SERVER, "AS_CHAT_GIVE_LEVEL", asName [ key ], szName );
	
	return PLUGIN_HANDLED;
}

public cmdCount ( id )
{
	if ( !(get_user_flags(id)&GIVE_LEVEL))
		return PLUGIN_HANDLED;

    new szMsg[ 256 ];
    read_args( szMsg, sizeof(szMsg) - 1 );
	remove_quotes( szMsg );
	switch ( g_Type [ id ] )
	{
		case 1:
		{
			as_set_user_exp ( g_Player [ id ], as_get_user_exp ( g_Player [ id ] ) + str_to_num ( szMsg ) );
			new szName [ 33 ];
			get_user_name ( g_Player [ id ], szName, charsmax ( szName ) );
			ShowMsg ( 0, "%L %L", LANG_SERVER, "AS_CHAT_PREFIX", LANG_SERVER, "AS_CHAT_GIVE_EXP", str_to_num ( szMsg ), szName );
		}
		case 2:
		{
			as_set_user_bonus ( g_Player [ id ], as_get_user_bonus ( g_Player [ id ] ) + str_to_num ( szMsg ) );
			new szName [ 33 ];
			get_user_name ( g_Player [ id ], szName, charsmax ( szName ) );
			ShowMsg ( 0, "%L %L", LANG_SERVER, "AS_CHAT_PREFIX", LANG_SERVER, "AS_CHAT_GIVE_BONUS", str_to_num ( szMsg ), szName );
		}
	}
	return PLUGIN_HANDLED;
}

stock _asg_ini_read ( const ini_file [] )
{
	new line, buffer [ 256 ];
	new file = fopen ( ini_file, "r" );
	
	while ( !feof ( file ) )
	{
		fgets ( file, buffer, 255 );
		trim ( buffer );
		
		if ( buffer [ 0 ] == '"' )
		{
			parse ( buffer, agName [ line ], 64, agActive [ line ], 64 );
		} else {
			continue;
		}
		line++;
	}
	agLines = line;
	fclose ( file );
}

stock ShowMsg ( const id, const input [ ], any:... )
{
	new count = 1, players [ 32 ];
	static msg [ 188 ];
	vformat ( msg, 187, input, 3 );
	
	replace_all ( msg, 187, "!g", "^4" );
	replace_all ( msg, 187, "!y", "^1" );
	replace_all ( msg, 187, "!t", "^3" );
	
	if ( id ) players [ 0 ] = id; else get_players ( players, count, "ch" );
	{
		for ( new i = 0; i < count; i++ )
		{
			if ( is_user_connected ( players [ i ] ) )
			{
				message_begin ( MSG_ONE_UNRELIABLE, get_user_msgid ( "SayText" ), _, players [ i ] );
				write_byte ( players [ i ] );
				write_string ( msg );
				message_end ();
			}
		}
	}
}